STOFFFrameStyle Class Reference documentation

STOFFFrameStyle Class Reference

Class to store a frame style. More...

`#include <STOFFFrameStyle.hxx>`

## Public Member Functions
| STOFFFrameStyle ()
| constructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | operator== (STOFFFrameStyle const &frameStyle) const
| operator==
bool | operator!= (STOFFFrameStyle const &frameStyle) const
| operator!=

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list
STOFFVec2f | m_frameSize
| the last frame dimension

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFFrameStyle const &frameStyle)
| operator<<

## Detailed Description

Class to store a frame style.

## Constructor & Destructor Documentation

## ◆ STOFFFrameStyle()

STOFFFrameStyle::STOFFFrameStyle | ( |  | ) |
| inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## Member Function Documentation

## ◆ addTo()

void STOFFFrameStyle::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by StarItemPool::defineGraphicStyle(), StarTableInternal::Table::send(), StarTableInternal::TableBox::updatePosition(), and StarObjectSmallGraphicInternal::SdrGraphic::updateStyle().

## ◆ operator!=()

bool STOFFFrameStyle::operator!= | ( | STOFFFrameStyle const & | frameStyle | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFFrameStyle::operator== | ( | STOFFFrameStyle const & | frameStyle | ) | const

operator==

Referenced by operator!=().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFFrameStyle const & | frameStyle )
| friend

operator<<

## Member Data Documentation

## ◆ m_frameSize

STOFFVec2f STOFFFrameStyle::m_frameSize

the last frame dimension

Referenced by StarFrameAttribute::StarFAttributeFrameSize::addTo(), operator==(), StarTableInternal::Table::send(), STOFFFrameStyle(), and StarTableInternal::TableBox::updatePosition().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFFrameStyle::m_propertyList

the property list

Referenced by StarFrameAttribute::StarFAttributeBool::addTo(), StarFrameAttribute::StarFAttributeOrientation::addTo(), addTo(), operator<<, operator==(), and STOFFFrameStyle().

The documentation for this class was generated from the following files:

- STOFFFrameStyle.hxx
- STOFFFrameStyle.cxx